Index: pg_proc.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/catalog/pg_proc.c,v
retrieving revision 1.43
diff -c -b -w -r1.43 pg_proc.c
*** pg_proc.c	2000/05/28 17:55:54	1.43
--- pg_proc.c	2000/06/13 15:19:38
***************
*** 67,72 ****
--- 67,73 ----
  	Oid			toid;
  	NameData	procname;
  	TupleDesc	tupDesc;
+ 	retval		Oid;
  
  	/* ----------------
  	 *	sanity checks
***************
*** 327,331 ****
  		CatalogCloseIndices(Num_pg_proc_indices, idescs);
  	}
  	heap_close(rel, RowExclusiveLock);
! 	return tup->t_data->t_oid;
  }
--- 328,334 ----
  		CatalogCloseIndices(Num_pg_proc_indices, idescs);
  	}
  	heap_close(rel, RowExclusiveLock);
! 	retval = tup->t_data->t_oid;
! 	heap_freetuple(tup);
! 	return retval;
  }
